Page MenuHomePhabricator

Grant WMF-NDA access to Stas in Phabricator
Closed, ResolvedPublic

Description

FTE, has signed NDA as far as I know.

Event Timeline

demon created this task.Dec 22 2014, 10:02 PM
demon raised the priority of this task from to Needs Triage.
demon updated the task description. (Show Details)
demon added a project: WMF-NDA-Requests.
demon added subscribers: demon, Smalyshev.
Qgil added a subscriber: Qgil.

Since @Smalyshev is a WMF employee, the approval must go through SRE.

Qgil moved this task from Backlog to WMF Employees on the WMF-NDA-Requests board.Dec 22 2014, 10:30 PM
Dzahn added a subscriber: Dzahn.

afaict this needs legal to confirm the NDA exists and has been counter-signed

Qgil assigned this task to LuisV_WMF.Jan 5 2015, 3:26 PM

Passing the ball.

Qgil added a subscriber: WMF-Legal.

WMF-Legal, could you verify that an NDA signed by @Smalyshev (Stas Malyshev) is in place, please?

Also, there must be a simpler and quicker way to verify that a WMF employee has signed an NDA.

Qgil triaged this task as Medium priority.Jan 23 2015, 3:43 PM
Dzahn added a comment.Jan 23 2015, 5:11 PM
In T85170#991059, @Qgil wrote:

Also, there must be a simpler and quicker way to verify that a WMF employee has signed an NDA.

could that be legalpad.wm.org (in the future) ?

Qgil added a comment.Jan 24 2015, 1:15 AM

Not the deprecated legalpad.wm.org, and not the process we have in place here, since these are for volunteer developers.

WMF employees sign an NDA when they join the Foundation (or they should) and this is why it doesn't make sense to make them sign the volunteer NDA. Unless we change that process.

In the meantime, I wonder what @Aklapper thinks.

Dzahn added a comment.Jan 24 2015, 1:17 AM

I'm not sure i understand why it makes a difference if they are volunteer or employee. The problem seems the same, we need a way to check if somebody signed an NDA and don't have one.

Qgil added a comment.Jan 24 2015, 1:36 AM

The current Legalpad document is called "Trusted Volunteer Access & Confidentiality Agreement" and it has references to "Volunteer" all over. I have no idea what is the diff with the NDA signed by employees, but in any case, as of today it cannot be recycled.

Qgil added a comment.Jan 27 2015, 7:14 AM

Honestly, I think this task should be just resolved.

Aklapper closed this task as Resolved.Jan 28 2015, 7:58 PM

Added Smalyshev to the group.

Halleluyah! Thanks @Aklapper :)

Danny_B removed a subscriber: WMF-Legal.Aug 8 2016, 12:07 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptAug 8 2016, 12:07 PM